libnvme(2)

NAME
struct nvme_fabrics_config - Defines all linux nvme fabrics initiator options

SYNOPSIS
struct nvme_fabrics_config {
char *host_traddr;
char *host_iface;
int queue_size;
int nr_io_queues;
int reconnect_delay;
int ctrl_loss_tmo;
int fast_io_fail_tmo;
int keep_alive_tmo;
int nr_write_queues;
int nr_poll_queues;
int tos;
long keyring;
long tls_key;
long tls_configured_key;
bool duplicate_connect;
bool disable_sqflow;
bool hdr_digest;
bool data_digest;
bool tls;
bool concat;
};

Members

host_traddr
    Host transport address

host_iface
    Host interface name

queue_size
    Number of IO queue entries

nr_io_queues
    Number of controller IO queues to establish

reconnect_delay
    Time between two consecutive reconnect attempts.

ctrl_loss_tmo
    Override the default controller reconnect attempt timeout in seconds

fast_io_fail_tmo
    Set the fast I/O fail timeout in seconds.

keep_alive_tmo
    Override the default keep-alive-timeout to this value in seconds

nr_write_queues
    Number of queues to use for exclusively for writing

nr_poll_queues
    Number of queues to reserve for polling completions

tos Type of service

keyring
    Keyring to store and lookup keys

tls_key
    TLS PSK for the connection

tls_configured_key
    TLS PSK for connect command for the connection

duplicate_connect
    Allow multiple connections to the same target

disable_sqflow
    Disable controller sq flow control

hdr_digest
    Generate/verify header digest (TCP)

data_digest
    Generate/verify data digest (TCP)

tls Start TLS on the connection (TCP)

concat
    Enable secure concatenation (TCP)